Linux HOWTO


Приложение. Использование скрипта ipfwadm-wrapper.


Скрипт оболочки ipfwadm-wrapper предназначен для обратной совместимости с ipfwadm 2.3a.

Единственая возможность, которую он фактически не может обрабатать - опция "-V". Когда она используется, выдается предупреждение. Если также используется опция "-W", опция "-V" игнорируется. Иначе, сценарий попробует найти имя интерфейса, связанное с этим адресом, используя ifconfig. Если это не удастся (например для интерфейса, который не поднят), то враппер завершится с сообщением об ошибке.

Это предупреждение может быть подавлено или изменением "-V" на "-W", или направлением стандартного вывода скрипта в /dev/null.

Если вы обнаружили какие-то ошибки в этом скрипте или какие-то изменения между реальным ipfwadm и этим скриптом, пожалуйста сообщите об этом мне: пошлите EMail на с сабжектом "BUG-REPORT".

Пожалуйста, укажите вашу старую версию ipfwadm (ipfwadm -h), вашу версию ipchains (ipchains --version), версию скрипта ipfwadm-wrapper (ipfwadm-wrapper --version). Также пошлите вывод ipchainssave. Заранее спасибо.

Вы применяете ipchains со скриптом ipfwadm-wrapper на ваш собственный страх и риск.




Начало  Назад  Вперед



Книжный магазин